> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Request status



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json get /api/v1/bungee/status
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/bungee/status:
    get:
      tags:
        - Core API
      summary: Get Request status
      operationId: BungeeController_reqStatus_v1
      parameters:
        - name: requestHash
          required: false
          in: query
          description: >-
            Request Hash from Bungee Auto, either requestHash or txHash should
            be present.
          schema:
            example: '0xd65300d945429398ccc5e4c496e27eb628b151f20d6ea402fa37b73e4ac4a68d'
            type: string
        - name: txHash
          required: false
          in: query
          description: >-
            Source Transaction Hash if transaction was created, either txHash or
            requestHash, one of them should be present.
          schema:
            type: string
      responses:
        '200':
          description: Shows Request status details
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        type: array
                        items:
                          $ref: '#/components/schemas/BungeeRequestStatusResponseDto'
              examples:
                no-refund:
                  summary: No refund
                  value:
                    success: true
                    statusCode: 200
                    result:
                      - hash: >-
                          0x72e9af4b1cb5241aca7c2bc7bd3b3c96fc89cf1c2d11fc3918d88c17df0245ed
                        originData:
                          input:
                            - token:
                                chainId: 42161
                                address: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
                                name: USD Coin
                                symbol: USDC
                                decimals: 6
                                logoURI: >-
                                  https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                                icon: >-
                                  https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                              amount: '10000000'
                              priceInUsd: 1
                              valueInUsd: 10
                          originChainId: 42161
                          txHash: null
                          status: PENDING
                          userAddress: '0xf39fd6e51aad88f6f4ce6ab8827279cfffb92266'
                        destinationData:
                          output:
                            - token:
                                chainId: 10
                                address: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
                                name: USD Coin
                                symbol: USDC
                                decimals: 6
                                logoURI: >-
                                  https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                                icon: >-
                                  https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
                              amount: '9852448'
                              minAmountOut: '9852448'
                              priceInUsd: 1
                              valueInUsd: 9.852448
                          txHash: null
                          destinationChainId: 10
                          receiverAddress: '0xf39fd6e51aad88f6f4ce6ab8827279cfffb92266'
                          status: PENDING
                        routeDetails:
                          name: bungee-protocol
                          logoURI: https://media.socket.tech/bungee.svg
                        bungeeStatusCode: 0
                        refund: null
                with-refund:
                  summary: With refund
                  value:
                    success: true
                    statusCode: 200
                    result:
                      - hash: >-
                          UfaeM8g2NnjdAgCRYPby8zCfaMDEV2MfrJeqc31h8n6FdkYM6Ma1pD52v8WP9mYbc1sTk8mJJYfnQ4sZc6udPF2
                        originData:
                          input:
                            - token:
                                chainId: 89999
                                address: 7vfCXTUXx5WJV5JADk17DUJ4ksgau7utNKj4b963voxs
                                name: 'Ethereum  Wormhole '
                                symbol: ETH
                                decimals: 8
                                logoURI: >-
                                  https://assets.coingecko.com/coins/images/22990/large/ETH_wh_small.png?1696522286
                                icon: >-
                                  https://assets.coingecko.com/coins/images/22990/large/ETH_wh_small.png?1696522286
                              amount: '9000000'
                              priceInUsd: 4488.59
                              valueInUsd: 403.9731
                          originChainId: 89999
                          txHash: >-
                            UfaeM8g2NnjdAgCRYPby8zCfaMDEV2MfrJeqc31h8n6FdkYM6Ma1pD52v8WP9mYbc1sTk8mJJYfnQ4sZc6udPF2
                          status: COMPLETED
                          userAddress: CJXYXf1N5T6NoWjk7MsXo2PAYm7XY9RRsNDC2VhqNif5
                          timestamp: 1753293122
                        destinationData:
                          output: null
                          txHash: null
                          destinationChainId: 1
                          receiverAddress: '0x0736e889457bff19dB4967C832Cc4d2104877e8C'
                          status: PENDING
                          timestamp: null
                        routeDetails:
                          name: mayan
                          logoURI: https://media.socket.tech/bridges/mayan2.svg
                        bungeeStatusCode: 7
                        refund:
                          chainId: 89999
                          txHash: >-
                            5SyAB7hE3bBxW9ykyCu4cQSzt69H1jcaqTYp5nAUKZvEjA8tXqRSdQnAT6eqWcxPsNBxV7hUMUHEHF8iHJF92vkn
components:
  schemas:
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    BungeeRequestStatusResponseDto:
      type: object
      properties:
        hash:
          type: string
          description: Bungee request/transaction hash
          example: '0x81d3ab91773de5524ccdfce923c634574593279f000c7c43c0f958ce643cf944'
        originData:
          description: Origin data including input tokens
          allOf:
            - $ref: '#/components/schemas/BungeeOriginData'
        destinationData:
          description: Destination data including output tokens
          allOf:
            - $ref: '#/components/schemas/BungeeDestinationData'
        routeDetails:
          description: Route details
          allOf:
            - $ref: '#/components/schemas/BungeeRouteDetails'
        bungeeStatusCode:
          type: number
          description: Bungee status code
          example: 0
        refund:
          description: Refund information if the transaction was refunded
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BungeeRefundDto'
      required:
        - hash
        - originData
        - destinationData
        - routeDetails
        - bungeeStatusCode
    BungeeOriginData:
      type: object
      properties:
        input:
          description: Input tokens
          type: array
          items:
            $ref: '#/components/schemas/StatusInputTokenDto'
        originChainId:
          type: number
          description: Origin chain ID
          example: 59144
        txHash:
          type: string
          description: Transaction hash on the origin chain
          example: '0xbd7c134d35b6582ddc0a3ae1c8b27db03cd785f4c8e3318eb3566aebcf850784'
        status:
          type: string
          description: Status of the origin transaction
          example: COMPLETED
        userAddress:
          type: string
          description: User address
          example: '0xBbe2c47dD59Ebc27204eB3437605b8c86F054a69'
        timestamp:
          type: number
          description: Timestamp of the origin transaction
          example: 1714550400
      required:
        - input
        - originChainId
        - txHash
        - status
        - userAddress
        - timestamp
    BungeeDestinationData:
      type: object
      properties:
        output:
          description: Output tokens
          type: array
          items:
            $ref: '#/components/schemas/StatusOutputTokenDto'
        destinationChainId:
          type: number
          description: Destination chain ID
          example: 42161
        txHash:
          type: string
          description: Transaction hash on the destination chain
          example: '0xd2aef7a3427406b77d359ef27fa53bab86c544d1121ea2f6b4003599ae4a542e'
        status:
          type: string
          description: Status of the destination transaction
          example: COMPLETED
        receiverAddress:
          type: string
          description: Receiver address
          example: '0x5291dcBd487880F591eA2B2216098ef5B7e18d93'
        timestamp:
          type: number
          description: Timestamp of the destination transaction
          example: 1714550400
      required:
        - output
        - destinationChainId
        - txHash
        - status
        - receiverAddress
        - timestamp
    BungeeRouteDetails:
      type: object
      properties:
        name:
          type: string
          description: Route name
          example: bungee-protocol
        logoURI:
          type: string
          description: Route logo URL
          example: https://media.socket.tech/bungee.svg
      required:
        - name
        - logoURI
    BungeeRefundDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID where the refund occurred
          example: 42161
        txHash:
          type: string
          description: Transaction hash of the refund
          example: '0xbd7c134d35b6582ddc0a3ae1c8b27db03cd785f4c8e3318eb3566aebcf850784'
      required:
        - chainId
        - txHash
    StatusInputTokenDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Token amount in wei
          example: '10000000'
        priceInUsd:
          type: number
          description: Token price in USD
          example: 1
        valueInUsd:
          type: number
          description: Value of the token amount in USD
          example: 10
      required:
        - token
        - amount
        - priceInUsd
        - valueInUsd
    StatusOutputTokenDto:
      type: object
      properties:
        token:
          description: Token information
          allOf:
            - $ref: '#/components/schemas/TokenDto'
        amount:
          type: string
          description: Actual token amount received
          example: '9834231'
        priceInUsd:
          type: number
          description: Token price in USD
          example: 1
        valueInUsd:
          type: number
          description: Value of the token amount in USD
          example: 9.834231
        minAmountOut:
          type: string
          description: Minimum amount to be received
          example: '9834231'
      required:
        - token
        - amount
        - priceInUsd
        - valueInUsd
        - minAmountOut
    TokenDto:
      type: object
      properties:
        chainId:
          type: number
          description: Chain ID of the token
          example: 42161
        address:
          type: string
          description: Token address
          example: '0xaf88d065e77c8cC2239327C5EDb3A432268e5831'
        name:
          type: string
          description: Token name
          example: USD Coin
        symbol:
          type: string
          description: Token symbol
          example: USDC
        decimals:
          type: number
          description: Token decimals
          example: 6
        logoURI:
          type: string
          description: Logo URI
          example: >-
            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
        icon:
          type: string
          description: Icon URI
          example: >-
            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
      required:
        - chainId
        - address
        - name
        - symbol
        - decimals
        - logoURI

````